---
- hosts: localhost
  become: yes
  gather_facts: no
  tasks:
  - name: Set hostname of VM as demo-ops
    hostname:
      name: demo-ops

  - name: Create a login demo
    user:
      name: demo
      password: '???'
      state: present
      shell: /bin/bash       # Defaults to /bin/bash
      system: no             # Defaults to no
      createhome: yes        # Defaults to yes
      home: /home/demo       # Defaults to /home/<username>

  - name: Set timezone to Asia/Kolkata
    timezone:
      name: Asia/Kolkata

  - name: Add or modify fsize hard limit for the user. Keep or set the maximal value.
    pam_limits:
      domain: $(whoami)    # username: demo
      limit_type: hard
      limit_item: fsize
      value: 1000000
      use_max: yes
      
  - name: Install docker and docker-compose
    shell: curl https://get.docker.com | sh
  - name: Modify privilege
    become: true
    shell: usermod -aG docker $(whoami)  
  - name: Change privilege of docker
    become: true
    file: dest=/usr/bin/docker mode=+x
  - name: python docker / docker-compse module
    pip:
     name:
        - docker
        - docker-compose

  - name: Syslogging output
    docker_container:
      name: myservice
      image: busybox
      log_driver: syslog
      log_options:
        syslog-address: tcp://my-syslog-server:514
        syslog-facility: daemon

  - name: Tear down existing services
    docker_compose:
      project_src: /etc/demo-ops
      state: absent
  - name: Start the service defined in /etc/demo-ops's docker-compose.yml
    docker_compose:
      project_src: /etc/demo-ops
    register: output
  - debug:
        var: output

